package rule

type IWorld interface {
}
type IRule interface {
	Tick(w IWorld, delta float32)
	GetPriority() RulePriority
}

type RulePriority int

const (
	ETimeRule = iota
	ERenderRule
	EActorRule
)
